Skip to main content

Get all the consent and subscription requests with given filters

Retrieve all consent and subscription requests based on specified filters.

GET/api/hiecm/subscription-requests/v3/patients/requests

By invoking this API, users can obtain a comprehensive list of requests that match the given criteria, including details about their status, scope, and any associated conditions. This functionality is essential for managing and tracking consent and subscription requests efficiently, ensuring that users have access to accurate and up-to-date information.

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Query parameters

consentLimitstringRequired

The consent limit - to limit records being fetched

consentOffsetstringRequired

The consent offset - to skip the records before fetching the first record

subscriptionLimitstringRequired

The subscription limit - to limit records being fetched

subscriptionOffsetstringRequired

The subscription offset - to skip the records before fetching the first record

statusstringRequired

The status of the subscription and consent

Headers

REQUEST-IDstringRequired

Unique UUID for tracking the end-to-end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds, and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-AUTH-TOKENstringRequired

JWT Authentication token which was issued by ABDM after successful validation of username and password

Responses

200

OK

consentsobject
consents.sizeinteger
consents.limitinteger
consents.offsetinteger
consents.requestsobject[]
consents.requests.requestIdstring
consents.requests.createdAtstring
consents.requests.lastUpdatedstring
consents.requests.statusstring

One of REQUESTEDEXPIREDDENIEDGRANTEDREVOKED

consents.requests.purposeobject
consents.requests.purpose.textstringRequired

One of Care ManagementBreak the GlassPublic HealthHealthcare PaymentDisease Specific Healthcare ResearchSelf Requested

consents.requests.purpose.codestringRequired

One of CAREMGTBTGPUBHLTHHPAYMTDSRCHPATRQT

consents.requests.purpose.refUristringRequired

The reference URL.Allows alpha numeric character and special characters like "^[-a-zA-Z0-9@:%._\\+~#=]{1,256}\\.[a-zA-Z0-9()]{1,6}\\b(?:[-a-zA-Z0-9()@:%_\\+.~#?&//=]*)$"

consents.requests.patientobject
consents.requests.patient.idstringRequired

The abha address of the patient

consents.requests.hipobject

Identifier and name of the health information provider.

consents.requests.hip.idstringRequired

The service ID of the health information provider. Allows alpha numeric and _ or - in middle

consents.requests.hip.namestringRequired

The name of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

consents.requests.hip.typestring

The type of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

consents.requests.hiuobject
consents.requests.hiu.idstringRequired

The service ID of the health information user. Allows alpha numeric and _ or - in middle

consents.requests.hiu.namestringRequired

The name of the health information user. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

consents.requests.hiu.typestring

The type of the health information user. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

consents.requests.requesterobject
consents.requests.requester.namestringRequired

The name of the requester

consents.requests.requester.identifierobjectRequired
consents.requests.hiTypesstring[]

Types of health information document.

consents.requests.careContextsobject[]

List of care contexts linked at the HIP end for the identified patient.

consents.requests.careContexts.patientReferencestringRequired

A patient identifier with which patient is registered in the facility/hospital

consents.requests.careContexts.careContextReferencestringRequired

An identifier of patient's care context created in HIP. A care context is a group of patient's health data (Not the actual health data)

consents.requests.permissionobject
consents.requests.permission.accessModestringRequired

One of VIEWSTORESTREAMQUERY

consents.requests.permission.dateRangeobjectRequired
consents.requests.permission.dataEraseAtstringRequired

The date at which the consent expire. Should be UTC date time in ISO format

consents.requests.permission.frequencyobjectRequired
subscriptionsobject
subscriptions.limitintegerRequired
subscriptions.sizeintegerRequired
subscriptions.offsetintegerRequired
subscriptions.requestsobject[]Required
subscriptions.requests.idstring
subscriptions.requests.requestIdstringRequired
subscriptions.requests.subscriptionIdstring
subscriptions.requests.patientobject
subscriptions.requests.patient.idstringRequired

The abha address of the patient. Must start with Alphanumeric . and _ in the middle and must be ending with @abdm or @sbx

subscriptions.requests.purposeobject
subscriptions.requests.purpose.textstringRequired

One of Care ManagementBreak the GlassPublic HealthHealthcare PaymentDisease Specific Healthcare ResearchSelf Requested

subscriptions.requests.purpose.codestringRequired

One of CAREMGTBTGPUBHLTHHPAYMTDSRCHPATRQT

subscriptions.requests.purpose.refUristringRequired

The reference URL. Allows alpha numeric character and special characters like "^[-a-zA-Z0-9@:%._\\+~#=]{1,256}\\.[a-zA-Z0-9()]{1,6}\\b(?:[-a-zA-Z0-9()@:%_\\+.~#?&//=]*)$"

subscriptions.requests.hiuobject
subscriptions.requests.hiu.idstringRequired

The service ID of the health information user. Must be Alpha numeric and _ or - in middle

subscriptions.requests.hiu.namestring

The name of the health information user. Allows alphanumeric characters and special characters like _\-@,. ":

subscriptions.requests.hiu.typestring

The type of the health information user. Allows alphanumeric characters and special characters like _\-@,. ":

subscriptions.requests.hipsobject[]
subscriptions.requests.hips.idstringRequired

The service ID of the health information provider. Must be Alpha numeric and _ or - in middle

subscriptions.requests.hips.namestring

The name of the health information provider. Allows alphanumeric characters and special characters like _\-@,. ":

subscriptions.requests.hips.typestring

The type of the health information provider. Allows alphanumeric characters and special characters like _\-@,. ":

subscriptions.requests.categoriesstring[]
subscriptions.requests.periodobject
subscriptions.requests.period.fromstringRequired

UTC date time in ISO format

subscriptions.requests.period.tostringRequired

UTC date time in ISO format

subscriptions.requests.createdAtstring
subscriptions.requests.lastUpdatedstring
subscriptions.requests.statusstring

One of REQUESTEDGRANTEDDENIEDEXPIREDREVOKED

subscriptions.requests.requestTypestring

One of HEALTH_LOCKERHIUHIP

400

Bad Request

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1066 - Invalid JWT token. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
403

Forbidden

404

server cannot find the requested resource

500

Internal Server Error

timestampnumberRequired
pathstringRequired
statusintegerRequired
errorstringRequired

The error code and message, if any occurred.

requestIdstringRequired
503

Internal Server Error

codestringRequired

ABDM-1024 - Dependent service unavailable. May be returned either bare (ABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.

messagestringRequired